package com.huimv.environ.eco.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.environ.eco.entity.SysDayWater;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-12
 */
public interface ISysDayWaterService extends IService<SysDayWater> {

    Result listWater(Map<String, String> map);

    Result listAllWater(Map<String, String> map);

    Result listAllWaterAndPower(Integer farmId);
}
